Skip to main content
GET
The kinds of purchase request a tenant offers, the kinds of line each may carry and the roles each is offered to.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
code
string
name
string
description
string
allows_part
string
allows_service
string
allows_asset
string
allows_other
string
requires_department
string
restricts_price_edit
string
is_active
string
row_version
string
role_ids
string
role_names
string
requisitions
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

allows_asset
boolean<boolean>
allows_other
boolean<boolean>
allows_part
boolean<boolean>
allows_service
boolean<boolean>
code
string<character varying>
Maximum string length: 40
description
string<text>
id
string<uuid>

Note: This is a Primary Key.

is_active
boolean<boolean>
name
string<character varying>
Maximum string length: 150
requires_department
boolean<boolean>
requisitions
integer<bigint>
restricts_price_edit
boolean<boolean>
role_ids
string[]
role_names
string[]
row_version
integer<bigint>